GNU Radio C++ API Reference: gr::filter::mmse_fir_interpolator_ff Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::filter::mmse_fir_interpolator_ff Class Reference

Compute intermediate samples between signal samples x(k*Ts). More...

`#include <gnuradio/filter/mmse_fir_interpolator_ff.h>`

## Public Member Functions
| mmse_fir_interpolator_ff ()
| mmse_fir_interpolator_ff (mmse_fir_interpolator_ff &&)=default
unsigned | ntaps () const
unsigned | nsteps () const
float | interpolate (const float input[], float mu) const
| compute a single interpolated output value. `input` must have ntaps() valid entries. input[0] .. input[ntaps() - 1] are referenced to compute the output value.

## Protected Attributes
std::vector< kernel::fir_filter_fff > | filters

## Detailed Description

Compute intermediate samples between signal samples x(k*Ts).

This implements a Minimum Mean Squared Error interpolator with 8 taps. It is suitable for signals where the bandwidth of interest B = 1/(4*Ts) Where Ts is the time between samples.

Although mu, the fractional delay, is specified as a float, it is actually quantized. 0.0 <= mu <= 1.0. That is, mu is quantized in the interpolate method to 32nd's of a sample.

For more information, in the GNU Radio source code, see:

- gr-filter/lib/gen_interpolator_taps/README
- gr-filter/lib/gen_interpolator_taps/praxis.txt

## Constructor & Destructor Documentation

## ◆ mmse_fir_interpolator_ff() [1/2]

gr::filter::mmse_fir_interpolator_ff::mmse_fir_interpolator_ff | ( |  | ) |

Referenced by mmse_fir_interpolator_ff().

## ◆ mmse_fir_interpolator_ff() [2/2]

gr::filter::mmse_fir_interpolator_ff::mmse_fir_interpolator_ff | ( | mmse_fir_interpolator_ff && |  | ) |
| default

References mmse_fir_interpolator_ff().

## Member Function Documentation

## ◆ interpolate()

float gr::filter::mmse_fir_interpolator_ff::interpolate | ( | const float | input[],
|  | float | mu ) const

compute a single interpolated output value. `input` must have ntaps() valid entries. input[0] .. input[ntaps() - 1] are referenced to compute the output value.

`mu` must be in the range [0, 1] and specifies the fractional delay.

Returns
  the interpolated input value.

## ◆ nsteps()

unsigned gr::filter::mmse_fir_interpolator_ff::nsteps | ( |  | ) | const

## ◆ ntaps()

unsigned gr::filter::mmse_fir_interpolator_ff::ntaps | ( |  | ) | const

## Member Data Documentation

## ◆ filters

std::vector<kernel::fir_filter_fff> gr::filter::mmse_fir_interpolator_ff::filters
| protected

The documentation for this class was generated from the following file:

- mmse_fir_interpolator_ff.h